package com.xhkjedu.sexam.mapper.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.reportclass.ERclassRank;
import com.xhkjedu.sexam.vo.report.ERankParamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ERclassRankMapper extends TkMapper<ERclassRank> {
    //校级报告-成绩分析
    List<Map> listByExamId(@Param("rank") ERankParamVo rank);

    //班级报告-成绩分析
    List<Map> listByExamAndClassId(@Param("rank") ERankParamVo rank);

    //班级报告-单科概况-等级统计
    List<Map> listDkGkDjTj(@Param("rank") ERankParamVo rank);

    //获取等级分类
    Map getRank(@Param("rank") ERankParamVo rank);

    //获取科目集合
    List<Map> listSubjectByIds(@Param("subjectids") List<String> subjectids);
}